Subject: gdb can't break on main
From: [email-masked] (Scott Kempf)

12 Dec 1996 10:45:08 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

Under gdb if I set a breakpoint on main
when I run my program gdb locks up.
Killing gdb off causes Win95 to lockup.

    gdb helloworld.exe
    break main
    run

Breakpoints on other functions work fine.
A breakpoint at the first line of main works fine
even though it is the same address as "break main".

			Scott

P.S.

I'm new to Windows 95 and I'm new to the Cygnus stuff.
So far I have to say it's all pretty cool (Cygnus, not Win95).
Hopefully in the future I can contribute solutions and
patches instead of problems, but this is better than nothing.
(It's only my second week.)

I'm sorry about the whole series of e-mails.  I've got
a number of bugs and questions and I just want to follow
the guide lines and use a subject other than "beta17
bugs/problems".  I'm sure some of these problems are my
own fault.  This weekend I may have time to track some
bugs down and make some patches.

----------------------------------
Scott Kempf ([email-masked])
Running gnu-win32 beta 17
under Windows 95.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".